Bug 594978 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:8cf801a4742e0c833b0dcdc5b43...
: Triaged
: 593878 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 10:04 EDT by Audrius Meskauskas
Modified: 2010-08-09 13:11 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-09 13:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.40 KB, text/plain)
2010-05-22 10:04 EDT, Audrius Meskauskas
no flags Details
Test case (10.47 KB, text/html)
2010-05-22 10:20 EDT, Audrius Meskauskas
no flags Details

  None (edit)
Description Audrius Meskauskas 2010-05-22 10:04:47 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5/firefox
comment: Attempt to view page containing java applet, maybe broken HTML (the applet Jar seems correct as it runs in other pages).
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.5/firefox
global_uuid: 8cf801a4742e0c833b0dcdc5b43c9c4c954f430f
kernel: 2.6.32.12-115.fc12.x86_64
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Audrius Meskauskas 2010-05-22 10:04:50 EDT
Created attachment 415860 [details]
File: backtrace
Comment 2 Audrius Meskauskas 2010-05-22 10:18:44 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Open the attached HTML file. 

Comment
-----
The contents of the attached HTML file cause the browser to crash.
Comment 3 Audrius Meskauskas 2010-05-22 10:20:17 EDT
Created attachment 415864 [details]
Test case
Comment 4 Audrius Meskauskas 2010-05-22 10:25:28 EDT
Comment on attachment 415864 [details]
Test case

It may be important that JavaScript must be turned OFF.
Comment 5 Chris Campbell 2010-05-22 23:51:57 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Karel Klíč 2010-05-25 05:51:40 EDT
*** Bug 593878 has been marked as a duplicate of this bug. ***
Comment 7 Penelope Fudd 2010-06-06 00:26:19 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Browse to http://yuba.stanford.edu/vns/clack/livedemo/dynamic.html
2. Start java applet
3. 


Comment
-----
Just tried to start a java applet.
Comment 8 Penelope Fudd 2010-06-06 16:57:12 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Browsing
2.
3.
Comment 9 Tobias Mueller 2010-06-16 16:46:04 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open a page with a Java applet in Firefox, i.e. http://connessi.v2.cs.unibo.it:8880/
2. NoScript block the applet, but click it and select "OK"
3. It loads for a couple of seconds, then crashes


Comment
-----
Just opened  http://connessi.v2.cs.unibo.it:8880/ with Firefox
Comment 10 Tobias Mueller 2010-06-16 16:50:28 EDT
FWIW: That was on my terminal:

java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-38.b18.fc12-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)

(firefox:8707): GLib-CRITICAL **: g_strsplit: assertion `string != NULL' failed

(firefox:8707): GLib-CRITICAL **: g_strv_length: assertion `str_array != NULL' failed
/usr/lib64/firefox-3.5/run-mozilla.sh: line 131:  8707 Segmentation fault      (core dumped) "$prog" ${1+"$@"}
Comment 11 Audrius Meskauskas 2010-06-19 09:40:29 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Try to open any page containing Java applet with Java enabled and JavaScript disabled.

Comment
-----
I an creating the experimental portal that would use Java and no JavaScript. Experimenting with settings, I have discovered that Firefox crashes with "Java without JavaScript" combination.
Comment 12 colin 2010-06-22 04:09:11 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.start firefox
2.browse to: http://www.javatester.org/version.html
3.I have noscript installed - so applets do not execute on page load. Click on the tester to start it.



Comment
-----
I had just updated from openjdk* -1.6.0.0-38.b18.fc12.i686 to  openjdk* -1.6.0.0-39.b18.fc12.i686
As this machine had been suffering from Bug #592553
Comment 13 colin 2010-06-22 04:17:04 EDT
With noScript disabled the crash does not happen and the tester aplet functions correctly.

That combined with Comment #10 seems like a pretty good clue.

(In reply to comment #12)
> Package: firefox-3.5.9-2.fc12
> Architecture: i686
> OS Release: Fedora release 12 (Constantine)
> 
> 
> How to reproduce
> -----
> 1.start firefox
> 2.browse to: http://www.javatester.org/version.html
> 3.I have noscript installed - so applets do not execute on page load. Click on
> the tester to start it.
> 
> 
> 
> Comment
> -----
> I had just updated from openjdk* -1.6.0.0-38.b18.fc12.i686 to  openjdk*
> -1.6.0.0-39.b18.fc12.i686
> As this machine had been suffering from Bug #592553
Comment 14 ramindeh 2010-06-22 09:28:25 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Dont remember
Comment 15 Chuck Lasher 2010-06-22 19:49:15 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. have firefox 3.5.9 loaded and up to date (java runtime 1.6 (latest)) loaded and enabled in firefox)
2. add noscript addon to firefox but add http:www.alpertron.com.ar/ECM.HTM to link (this is failing addr)
3. make sure lib fusion (free and non-free are enabled and updated)


Comment
-----
having a short-cut link on firefox (from previous version imported), after opening at yahoo.com homepage, pressed bookmark toolbar button to go to this site.   core dump was approx 3-4 sec after data started coming from web site (cpu here is C2D v2, 2.4Ghz, 4GB, Fedora 12 x86_64).

uname -a provides:  Linux feldberg 2.6.32.14-127.fc12.x86_64 #1 SMP Fri May 28 04:30:39 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

suspect yum cache is not in sync somehow as this has never occured before with this site on any Firefox version.  

I may be emailed (please reserve this info for developer / support member use only) at  chuck.lasher@gmail.com .   I have been a member of bugzilla in the past and just reactivated it.

Tnx,
C.
Comment 16 d. johnson 2010-08-09 13:11:20 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.


Unfortunately, that stack trace is not very useful in determining the cause of the crash, because there are no debugging symbols loaded (probably abrt failed to load them).

Unfortunately, we cannot use this backtrace.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.